/* ------------------------------------------------------------------------------------------------ */
/* FILE :        tim8051.h																			*/
/*																									*/
/* CONTENTS :																						*/
/*               Abassi BSP: Timer driver for 8051													*/
/*																									*/
/*																									*/
/* Copyright (c) 2011, Code-Time Technologies Inc. All rights reserved.								*/
/*																									*/
/* Code-Time Technologies retains all right, title, and interest in and to this work				*/
/*																									*/
/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS							*/
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF										*/
/* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL							*/
/* THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR								*/
/* OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,							*/
/* ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR							*/
/* OTHER DEALINGS IN THE SOFTWARE.																	*/
/*																									*/
/*																									*/
/*	$Revision: 1.7 $																				*/
/*	$Date: 2011/10/25 22:09:43 $																	*/
/*																									*/
/* ------------------------------------------------------------------------------------------------ */

#ifndef _TIM8051_H_
#define _TIM8051_H_

#include <stdio.h>

#if defined(__KEIL__) && defined(__C51__)
	#include <reg52.h>
	#define TIM8051_RLD(Period) ((int)((((long)(Period)) * (((long)OS_CPU_FREQ)/1000)) / 12000L))
	#define __near
	#define __bit bit
#endif

extern void Tim8051Init(int TimNmb, int Period, int Prio, void (*CallBack)(void), int OneShot);
extern void HWItim8051_0(void) reentrant;
extern void HWItim8051_1(void) reentrant;
extern void HWItim8051_2(void) reentrant;

#endif

/* EOF */
